Package weka.classifiers.functions.explicitboundaries.models

# Class FLDABoundary

java.lang.Object
weka.classifiers.AbstractClassifier
weka.classifiers.functions.FLDA
weka.classifiers.functions.explicitboundaries.models.FLDABoundary

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `weka.classifiers.Classifier`, `ClassifierWithBoundaries`, `weka.core.BatchPredictor`, `weka.core.CapabilitiesHandler`, `weka.core.CapabilitiesIgnorer`, `weka.core.CommandlineRunnable`, `weka.core.OptionHandler`, `weka.core.RevisionHandler`

public class FLDABoundary extends weka.classifiers.functions.FLDA implements ClassifierWithBoundaries

Since:
  0.1.0
Version:
  2.3.1
Author:
  pawel trajdos
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class weka.classifiers.AbstractClassifier

  `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FLDABoundary()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildClassifier(weka.core.Instances insts)`
  `double[]`
  `distributionForInstance(weka.core.Instance inst)`
  `DecisionBoundary`
  `getBoundary()`
  Returns decision boundaries of the classifier
  `weka.core.Capabilities`
  `getCapabilities()`
  `static void`
  `main(String[] args)`
  `void`
  `setDebug(boolean debug)`

  ### Methods inherited from class weka.classifiers.functions.FLDA

  `getOptions, getRevision, getRidge, globalInfo, listOptions, ridgeTipText, setOptions, setRidge, toString`

  ### Methods inherited from class weka.classifiers.AbstractClassifier

  `batchSizeTipText, classifyInstance, debugTipText, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, implementsMoreEfficientBatchPrediction, makeCopies, makeCopy, numDecimalPlacesTipText, postExecution, preExecution, run, runClassifier, setBatchSize, setDoNotCheckCapabilities, setNumDecimalPlaces`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface weka.classifiers.Classifier

  `classifyInstance`

- ## Constructor Details

  - ### FLDABoundary

    public FLDABoundary()

- ## Method Details

  - ### getBoundary

    public DecisionBoundary getBoundary() throws Exception
    Description copied from interface: `ClassifierWithBoundaries`
    Returns decision boundaries of the classifier
    Specified by:
      `getBoundary` in interface `ClassifierWithBoundaries`
    Returns:
      Decision boundaries
    Throws:
      `Exception`

  - ### getCapabilities

    public weka.core.Capabilities getCapabilities()
    Specified by:
      `getCapabilities` in interface `weka.core.CapabilitiesHandler`
    Specified by:
      `getCapabilities` in interface `weka.classifiers.Classifier`
    Overrides:
      `getCapabilities` in class `weka.classifiers.functions.FLDA`

  - ### buildClassifier

    public void buildClassifier(weka.core.Instances insts) throws Exception
    Specified by:
      `buildClassifier` in interface `weka.classifiers.Classifier`
    Overrides:
      `buildClassifier` in class `weka.classifiers.functions.FLDA`
    Throws:
      `Exception`

  - ### distributionForInstance

    public double[] distributionForInstance(weka.core.Instance inst) throws Exception
    Specified by:
      `distributionForInstance` in interface `weka.classifiers.Classifier`
    Overrides:
      `distributionForInstance` in class `weka.classifiers.functions.FLDA`
    Throws:
      `Exception`

  - ### setDebug

    public void setDebug(boolean debug)
    Overrides:
      `setDebug` in class `weka.classifiers.AbstractClassifier`

  - ### main

    public static void main(String[] args)
    Parameters:
      `args` -